/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Coamfont class


*******************************************************************************
******************************************************************************/

#include <nds.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


#include "Csprite.h"

#ifndef Coamfont__H
#define Coamfont__H

#define MAX_FONT_SPRITES 96

class Coamfont
{
	public:
	
	void init(OamState *_oam,u8 *_gfx, int _width, int _height, SpriteSize _size, int _max_chars);
	void clear();
	void print(int x, int y, const char *text);
	void print(int x, int y, int value);
	void print(int x, int y, const char *text, int value);
	void print_centered(int x, int y, const char *text);
	void print_score(int x, int y, int value, const char *filler, int length);
	void print_spaced(int x, int y, const char *text, int x_space, s32 x_offset, s32 y_offset);
	void print_sine(int x, int y, const char *text, int width_offset, int _height, int cycles, s32 start_angle);
	void print_vertical(int x, int y, const char *text);
	
	int			width;
	int			height;
	int 		tile_mem_size; 
	int			active_chars;
	int			start;
	
	
	private:
	
	OamState	*oam;
	u8			*gfx;
	int 		max_chars;
	
	Csprite		fonts[MAX_FONT_SPRITES];
	char		str[256];
	char		str2[256];
	
};


#endif

